Bug 498759 - gnome-about-me doesn't offer to enroll fingeprints
gnome-about-me doesn't offer to enroll fingeprints
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 19:22 EDT by Charles R. Anderson
Modified: 2010-09-20 11:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-03 06:26:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2009-05-02 19:22:57 EDT
Description of problem:

gnome-about-me doesn't have any way for me to enroll my fingerprints like it should according to the docs here:

http://fedoraproject.org/wiki/Features/Fingerprint

Version-Release number of selected component (if applicable):
control-center-2.26.0-5.fc11.x86_64
fprintd-0.1-8.git04fd09cfa.fc11.x86_64
fprintd-pam-0.1-8.git04fd09cfa.fc11.x86_64
libfprint-0.1.0-6.pre1.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. System->Preferences->About Me
  
Actual results:
no obvious way to enroll fingerprints

Expected results:
I've never seen what the GUI is supposed to look like, and the screenshots on the Feature page don't have any that show what it is supposed to look like, so I don't know what I'm missing.  I guess there should be some kind of "Enroll Fingerprints" button or something.

Additional info:

Lenovo T61 w/fingerprint reader

lshal | grep Finger
  info.product = 'Fingerprint Reader'  (string)
  usb_device.product = 'Fingerprint Reader'  (string)
Comment 1 Bastien Nocera 2009-05-02 21:02:53 EDT
Output of "lshal | grep fprint"? Is authconfig listing "Fingerprint reader" as being enabled?
Comment 2 Charles R. Anderson 2009-05-02 22:30:49 EDT
"lshal | grep fprint" returns nothing.  Authconfig has "Enable Fingerprint Reader Support" turned on (by default).
Comment 3 Bastien Nocera 2009-05-03 06:26:34 EDT
(In reply to comment #2)
> "lshal | grep fprint" returns nothing.

I'm afraid that means that your fingerprint reader isn't support by libfprint. See http://reactivated.net/fprint/wiki/Supported_devices and http://reactivated.net/fprint/wiki/Unsupported_devices

>  Authconfig has "Enable Fingerprint
> Reader Support" turned on (by default).
Comment 4 Charles R. Anderson 2009-05-03 12:23:05 EDT
lsusb | grep Finger

Bus 003 Device 003: ID 0483:2016 SGS Thomson Microelectronics Fingerprint Reader


http://reactivated.net/fprint/wiki/Libfprint:Supported_devices seems to indicate my fingerprint reader should be supported:

IBM 	ThinkPad T61 embedded 	0483 	2016 	upekts
Comment 5 Charles R. Anderson 2009-05-13 17:08:57 EDT
I'd like to point out that the actual problem was that I didn't have gdm-plugin-fingerprint installed.  Nowhere in the wiki does it say that you need this package to be installed.  It wasn't until I saw this thread on fedora-test-list that I knew of the need to install this package:

https://www.redhat.com/archives/fedora-test-list/2009-May/msg00475.html
Comment 6 Bastien Nocera 2010-09-20 11:50:16 EDT
(In reply to comment #5)
> I'd like to point out that the actual problem was that I didn't have
> gdm-plugin-fingerprint installed.  Nowhere in the wiki does it say that you
> need this package to be installed.

http://fedoraproject.org/wiki/Features/Fingerprint#How_to_test

It's also installed by default on newer releases.

>  It wasn't until I saw this thread on
> fedora-test-list that I knew of the need to install this package:
> 
> https://www.redhat.com/archives/fedora-test-list/2009-May/msg00475.html

Note You need to log in before you can comment on or make changes to this bug.